Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9554

Department: EF Affected Products: ADTF 3.3.1, ADTF Device Toolbox 3.0.0

(BETA)

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: DeviceTB::Flexray

Resolution: Known Problem FAQ Links:  

Description

Support Anfrage:

Bei der Selektion der Datei für fibex_filename wird der Pfad relativ zu $(ADTF_PROJECT_DIR) gewählt.

Das finde ich soweit schonmal recht charmant, da die Konfiguration auf einem anderen Rechner eingesetzt werden soll.

Allerdings sucht der FlexRay Service die Datei im falschen Pfad. Er scheint relativ zur System-Properties-Datei zu suchen.

Siehe Anhang.

Könnt ihr das Problem nachvollziehen?

eine Konfiguration erreicht Runlevel 3 nicht mit der Fehlermeldung: Could not get fibes database

(vectorflexray_streaming_source.cpp Zeile 136)

Durch Editieren der Konfiguration ist es mir bisher nicht gelungen, den Fehler zu beseitigen.

An der Stelle wäre eine Information hilfreich, was genau er nicht findet. Dann könnte ich zumindest mal sehen, ob meine Änderung

der Property im Service eine Auswirkung hat (nicht dass ich eine völlig falsche Property-Datei editiere).

Lösung:

Problem ist bereits bekannt. Es gibt hierzu ein Produktticket:

https://www.cip.audi.de/jira/browse/ACORE-9554

Ticket wurde verlinkt.

ACORE-9554 ist bereits in Bearbeitung

History

#1 - 2018-06-19 15:11 - hidden

- Subject changed from AW: adtf-device-toolbox 3.0.0_Beta4: Fehlermeldung in VectorFlexrayStreamingSource unzureichend to AW:

adtf-device-toolbox 3.0.0_Beta4: Fehlermeldung in VectorFlexrayStreamingSource unzureichend fibex_filename

- Topic set to DeviceTB::Flexray

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF 3.3.1 added

- Platform Windows 7 64bit added

#2 - 2018-06-19 16:16 - hidden

Hallo Jens,

ich konnte den Fehler mit $(ADTF_PROJECT_DIR) im vollen Umfang nachstellen. Der Doku nach zu urteilen, gibt es aber das Macro

$(ADTF_PROJECT_DIR) nicht mehr

Siehe https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf_macros.html

Allerdings hätte dann auch deine Fehlermeldung nicht den kompletten Pfad anzeigen dürfen, geschweige denn einen anderen Pfad benutzen.

Kannst du anstatt $(ADTF_PROJECT_DIR) bitte einmal $(ADTF_SESSION_DIR) und dann von diesem relativ ausgehen. Das hat bei mir funktioniert
#3 - 2018-06-19 16:16 - hidden

- Status changed from New to Customer Feedback Required

#4 - 2018-06-19 17:27 - hidden

Tatsächlich habe ich selbst nie ADTF_PROJECT_DIR angegeben. Das hat der configuration editor gemacht, nachdem ich die Datei ausgewählt hatte

und sich diese in einem Unterordner des Projekts befunden hat.

Wenn ich Variablen referenzieren will, die ich selbst gesetzt habe, dann zickt der configuration editor und verwirft meine Eingabe.

Ich bin daher dazu übergegangen, die Properties mit Notepad++ zu setzen.

Dann funktioniert auch die Referenzierung eigener Variablen.

#5 - 2018-06-20 08:11 - hidden

Dann ist das aber ganz sicher kein gewünschtes Verhalten der Software und wir müssen uns das meiner Ansicht nach genau anschauen.

Kannst du mir bitte die Schritte zum Reproduzieren angeben:

flexray_support_service laden

fibex-file über GUI zum Property hinzufügen (Jetzt hat der CE bei dir bereits ADTF-Project-DIR eingefügt?)

Laden funktioniert nicht??

Mit eigenen Variablen:

flexray_support_service laden

Im Sytem-Editor eigene  Umgebungsvariable gesetzt? (z.B.: OWN_PROJECT_DIR)

fibex-file in der Property mit dieser eigenen Variable referenziert (z.B.: $(OWN_PROJECT_DIR)/files/myfibex.xml)

Diese eigenen Variable wird komplett verworfen?

Wenn diese Vorgänge zum Nachstellen nicht funktionieren, bitte anpassen.

#6 - 2018-06-22 12:45 - hidden

Hallo Jens,

mir wurde gerade mitgeteilt, dass es sich hierbei um ein Bug handelt und dieser bereits in der kommenden ADTF-Version gefixt wird

Den Status des Bug-Tickets kannst du dir hier anschauen

#7 - 2018-06-22 12:49 - hidden

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9554

#8 - 2018-06-25 10:13 - hidden

- Subject changed from AW: adtf-device-toolbox 3.0.0_Beta4: Fehlermeldung in VectorFlexrayStreamingSource unzureichend fibex_filename to CE

uses ADTF_PROJECT_DIR -> Error messsage for fibex_filename

- Description updated

- Affected Products ADTF Device Toolbox 3.0.0 (BETA) added

Hallo Jens,

Produktticket (Bug) wurde verlinkt. ACORE-9554 ist bereits in Bearbeitung.

Support Ticket habe ich angepasst.

Können wir das Support Ticket damit schließen?

Gruß

Matthias

#9 - 2018-06-26 10:36 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#10 - 2018-06-26 15:28 - hidden

- Description updated

- Status changed from To Be Closed to Closed
